Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Class CreateChatCompletionStreamResponseChoicesInner

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.generated.model.CreateChatCompletionStreamResponseChoicesInner

public class CreateChatCompletionStreamResponseChoicesInner extends Object
CreateChatCompletionStreamResponseChoicesInner

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `CreateChatCompletionStreamResponseChoicesInner.FinishReasonEnum`
  The reason the model stopped generating tokens.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateChatCompletionStreamResponseChoicesInner()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CreateChatCompletionStreamResponseChoicesInner`
  `delta(ChatCompletionStreamResponseDelta delta)`
  Set the delta of this `CreateChatCompletionStreamResponseChoicesInner` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `CreateChatCompletionStreamResponseChoicesInner`
  `finishReason(CreateChatCompletionStreamResponseChoicesInner.FinishReasonEnum finishReason)`
  Set the finishReason of this `CreateChatCompletionStreamResponseChoicesInner` instance and return the same instance.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `CreateChatCompletionStreamResponseChoicesInner`.
  `ChatCompletionStreamResponseDelta`
  `getDelta()`
  Get delta
  `CreateChatCompletionStreamResponseChoicesInner.FinishReasonEnum`
  `getFinishReason()`
  The reason the model stopped generating tokens.
  `Integer`
  `getIndex()`
  The index of the choice in the list of choices.
  `CreateChatCompletionResponseChoicesInnerLogprobs`
  `getLogprobs()`
  Get logprobs
  `int`
  `hashCode()`
  `CreateChatCompletionStreamResponseChoicesInner`
  `index(Integer index)`
  Set the index of this `CreateChatCompletionStreamResponseChoicesInner` instance and return the same instance.
  `CreateChatCompletionStreamResponseChoicesInner`
  `logprobs(CreateChatCompletionResponseChoicesInnerLogprobs logprobs)`
  Set the logprobs of this `CreateChatCompletionStreamResponseChoicesInner` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `CreateChatCompletionStreamResponseChoicesInner` instance.
  `void`
  `setDelta(ChatCompletionStreamResponseDelta delta)`
  Set the delta of this `CreateChatCompletionStreamResponseChoicesInner` instance.
  `void`
  `setFinishReason(CreateChatCompletionStreamResponseChoicesInner.FinishReasonEnum finishReason)`
  Set the finishReason of this `CreateChatCompletionStreamResponseChoicesInner` instance.
  `void`
  `setIndex(Integer index)`
  Set the index of this `CreateChatCompletionStreamResponseChoicesInner` instance.
  `void`
  `setLogprobs(CreateChatCompletionResponseChoicesInnerLogprobs logprobs)`
  Set the logprobs of this `CreateChatCompletionStreamResponseChoicesInner` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `CreateChatCompletionStreamResponseChoicesInner` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CreateChatCompletionStreamResponseChoicesInner

    public CreateChatCompletionStreamResponseChoicesInner()

- ## Method Details

  - ### delta

    @Nonnull public CreateChatCompletionStreamResponseChoicesInner delta(@Nonnull ChatCompletionStreamResponseDelta delta)
    Set the delta of this `CreateChatCompletionStreamResponseChoicesInner` instance and return the same instance.
    Parameters:
      `delta` - The delta of this `CreateChatCompletionStreamResponseChoicesInner`
    Returns:
      The same instance of this `CreateChatCompletionStreamResponseChoicesInner` class

  - ### getDelta

    @Nonnull public ChatCompletionStreamResponseDelta getDelta()
    Get delta
    Returns:
      delta The delta of this `CreateChatCompletionStreamResponseChoicesInner` instance.

  - ### setDelta

    public void setDelta(@Nonnull ChatCompletionStreamResponseDelta delta)
    Set the delta of this `CreateChatCompletionStreamResponseChoicesInner` instance.
    Parameters:
      `delta` - The delta of this `CreateChatCompletionStreamResponseChoicesInner`

  - ### logprobs

    @Nonnull public CreateChatCompletionStreamResponseChoicesInner logprobs(@Nullable CreateChatCompletionResponseChoicesInnerLogprobs logprobs)
    Set the logprobs of this `CreateChatCompletionStreamResponseChoicesInner` instance and return the same instance.
    Parameters:
      `logprobs` - The logprobs of this `CreateChatCompletionStreamResponseChoicesInner`
    Returns:
      The same instance of this `CreateChatCompletionStreamResponseChoicesInner` class

  - ### getLogprobs

    @Nullable public CreateChatCompletionResponseChoicesInnerLogprobs getLogprobs()
    Get logprobs
    Returns:
      logprobs The logprobs of this `CreateChatCompletionStreamResponseChoicesInner` instance.

  - ### setLogprobs

    public void setLogprobs(@Nullable CreateChatCompletionResponseChoicesInnerLogprobs logprobs)
    Set the logprobs of this `CreateChatCompletionStreamResponseChoicesInner` instance.
    Parameters:
      `logprobs` - The logprobs of this `CreateChatCompletionStreamResponseChoicesInner`

  - ### finishReason

    @Nonnull public CreateChatCompletionStreamResponseChoicesInner finishReason(@Nullable CreateChatCompletionStreamResponseChoicesInner.FinishReasonEnum finishReason)
    Set the finishReason of this `CreateChatCompletionStreamResponseChoicesInner` instance and return the same instance.
    Parameters:
      `finishReason` - The reason the model stopped generating tokens. This will be `stop` if the model hit a natural stop point or a provided stop sequence, `length` if the maximum number of tokens specified in the request was reached, `content_filter` if content was omitted due to a flag from our content filters, `tool_calls` if the model called a tool, or `function_call` (deprecated) if the model called a function.
    Returns:
      The same instance of this `CreateChatCompletionStreamResponseChoicesInner` class

  - ### getFinishReason

    @Nullable public CreateChatCompletionStreamResponseChoicesInner.FinishReasonEnum getFinishReason()
    The reason the model stopped generating tokens. This will be `stop` if the model hit a natural stop point or a provided stop sequence, `length` if the maximum number of tokens specified in the request was reached, `content_filter` if content was omitted due to a flag from our content filters, `tool_calls` if the model called a tool, or `function_call` (deprecated) if the model called a function.
    Returns:
      finishReason The finishReason of this `CreateChatCompletionStreamResponseChoicesInner` instance.

  - ### setFinishReason

    public void setFinishReason(@Nullable CreateChatCompletionStreamResponseChoicesInner.FinishReasonEnum finishReason)
    Set the finishReason of this `CreateChatCompletionStreamResponseChoicesInner` instance.
    Parameters:
      `finishReason` - The reason the model stopped generating tokens. This will be `stop` if the model hit a natural stop point or a provided stop sequence, `length` if the maximum number of tokens specified in the request was reached, `content_filter` if content was omitted due to a flag from our content filters, `tool_calls` if the model called a tool, or `function_call` (deprecated) if the model called a function.

  - ### index

    @Nonnull public CreateChatCompletionStreamResponseChoicesInner index(@Nonnull Integer index)
    Set the index of this `CreateChatCompletionStreamResponseChoicesInner` instance and return the same instance.
    Parameters:
      `index` - The index of the choice in the list of choices.
    Returns:
      The same instance of this `CreateChatCompletionStreamResponseChoicesInner` class

  - ### getIndex

    @Nonnull public Integer getIndex()
    The index of the choice in the list of choices.
    Returns:
      index The index of this `CreateChatCompletionStreamResponseChoicesInner` instance.

  - ### setIndex

    public void setIndex(@Nonnull Integer index)
    Set the index of this `CreateChatCompletionStreamResponseChoicesInner` instance.
    Parameters:
      `index` - The index of the choice in the list of choices.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `CreateChatCompletionStreamResponseChoicesInner`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `CreateChatCompletionStreamResponseChoicesInner` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `CreateChatCompletionStreamResponseChoicesInner` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `CreateChatCompletionStreamResponseChoicesInner` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`